LOCAL_PATH := $(call my-dir)

SP_INCLUDE_TOP := $(LOCAL_PATH)/../../../../include
SP_BASE_TOP := $(LOCAL_PATH)/../../../../spBase
SP_BASE_LIB_LOCAL := $(LOCAL_PATH)/../../../../spBase/android/obj/local
SP_AUDIO_TOP := $(LOCAL_PATH)/../../../../spAudio
SP_AUDIO_LIB_LOCAL := $(LOCAL_PATH)/../../../../spAudio/android/obj/local
ALAC_CODEC_TOP := ../../ALAC/codec

include $(CLEAR_VARS)

LOCAL_MODULE    := input_alac
LOCAL_SRC_FILES := \
		../../input_alac.cpp \
		../../ALAC/codec/ALACDecoder.cpp \
		../../ALAC/codec/ALACEncoder.cpp \
		../../ALAC/codec/ag_dec.c \
		../../ALAC/codec/ag_enc.c \
		../../ALAC/codec/ALACBitUtilities.c \
		../../ALAC/codec/dp_dec.c \
		../../ALAC/codec/dp_enc.c \
		../../ALAC/codec/EndianPortable.c \
		../../ALAC/codec/matrix_dec.c \
		../../ALAC/codec/matrix_enc.c

ifeq ($(TARGET_ARCH_ABI),arm64-v8a)
LOCAL_CFLAGS += -ffast-math
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := false
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := true
endif

SP_BASE_LIB_TOP := $(SP_BASE_LIB_LOCAL)/$(TARGET_ARCH_ABI)
SP_AUDIO_LIB_TOP := $(SP_AUDIO_LIB_LOCAL)/$(TARGET_ARCH_ABI)

LOCAL_C_INCLUDES := $(SP_INCLUDE_TOP) $(SP_BASE_TOP) $(SP_AUDIO_TOP) $(LOCAL_PATH)/$(ALAC_CODEC_TOP)
LOCAL_CFLAGS += -DANDROID -DHAVE_PTHREAD $(LOCAL_C_INCLUDES:%=-I%)
LOCAL_LDLIBS := -L$(SP_BASE_LIB_TOP) -L$(SP_AUDIO_LIB_TOP) -L$(SYSROOT)/usr/lib -lspa -lspb -ldl -llog -landroid

ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_LDLIBS += -lm_hard
endif

include $(BUILD_SHARED_LIBRARY)
